Subject: Re: [mpls] [PWE3] LDP DoD and PW Signalling ...

From: [email-masked]
Date: Tue, 28 Jun 2011 09:26:07 +0800

Nic,
It does seem an issue. Since PW in RFC4447 only supports DU mode, then PW 
could still work in DU whatever DU or DoD mode indicated by LDP 
initializtion message. And the mode indicated by LDP initializtion message 
would be valid for other FECs, not PW FEC. I agree for a long term, if 
there are two FECs supported both DU and DoD on one LDP session, then your 
proposal is a one good option.

What's more, in RFC5036 section 3.5.3, it says: 
"If one LSR proposes Downstream Unsolicited and the other
proposes Downstream on Demand, the rules for resolving this
difference is:
- If the session is for a label-controlled ATM link or a
label-controlled Frame Relay link, then Downstream on Demand
MUST be used.
- Otherwise, Downstream Unsolicited MUST be used.
If the label advertisement discipline determined in this way
is unacceptable to an LSR, it MUST send a Session
Rejected/Parameters Advertisement Mode Notification message
in response to the Initialization message and not establish
the session."

That means if link between AN and AG is Ethernet, then session with DoD 
mode can not be established. I think we should also remove this 
restriction in 5036.

Regards
Lizhong

> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Mon, 27 Jun 2011 09:41:13 +0200
> From: <[email-masked]>
> To: <[email-masked]>, <[email-masked]>
> Subject: [PWE3] LDP DoD and PW Signalling ...
> Message-ID:
>    <[email-masked].
> t-internal.com>
> 
> Content-Type: text/plain; charset="us-ascii"
> 
> Hi,
> 
> We came across an issue related to the Seamless MPLS Architecture 
> when running LDP DoD between two nodes if we are trying to set up an
> PW between the same nodes.
> 
> Assume we have an Access Node (AN) and an Aggregation Mode (AG). The
> AN establishes a LDP DoD with the AG. When we are going to establish
> a PW between the AN and the AG as well we run into the problem that 
> RFC4447 specifies only the DU mode for the targeted LDP session (section 
3):
> 
>    "An LDP session must be set up between the pseudowire endpoints.
>     LDP MUST be used in its 'downstream unsolicited' mode.  LDP's
>     'liberal label retention' mode SHOULD be used."
> 
> From our point of view we should reuse the existing LDP session and go 
with 
> only a single LDP session between AN and AG. That has the advantage that 
we 
> do not change the behaviour of PW FECs 128/129 (there are other options 
like
> using two LDP sessions with additonal lookbacks or two sessions with 
single
> loopback and LDP DoD for IP FECs, but those have an heavy -  negative 
> impact - on the existing implementations and/or standards).
> 
> For a more long term approach we are in favour of a change to RFC5036 by 
de-
> fining a new TLV which denotes the DU/DoD mode per FEC type.
> 
> Any comments on that?
> 
>   Regards
> 
>      Nic
> 
> 
> ------------------------------
> 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Kishore Tiruveedhula <[email-masked]>
Date: Tue, 28 Jun 2011 14:35:15 -0400

That means if link between AN and AG is Ethernet, then session with DoD mode can not be established. I think we should also remove this restriction in 5036.

[Kishore] If both AN and AGN proposes the DOD, then DOD session can be established over Ethernet. Right?
Thanks,
Kishore

Regards
Lizhong

> RFC4447 specifies only the DU mode for the targeted LDP session (section 3):
>
> From our point of view we should reuse the existing LDP session and go with
> only a single LDP session between AN and AG. That has the advantage that we
> do not change the behaviour of PW FECs 128/129 (there are other options like
> using two LDP sessions with additonal lookbacks or two sessions with single
> For a more long term approach we are in favour of a change to RFC5036 by de-

---

From: [email-masked]
Date: Wed, 29 Jun 2011 10:05:05 +0800

Kishore,
Yes, in that case, the session can be established. And then all the 
sessions over the AGN's link have to be DoD. Now I guess it is a rare case 
there are two sessions with different mode over one Ehternet link on AGN.

Thanks
Lizhong

Kishore Tiruveedhula <[email-masked]> wrote on 2011-06-29 02:35:15:

> That means if link between AN and AG is Ethernet, then session with 
> DoD mode can not be established. I think we should also remove this 
> restriction in 5036. 

with 
single